package sysorg

import (
	"errors"
	"wechat-conf/models/model"
	"wechat-conf/models/sysorg"
	"wechat-conf/service"
	"wechat-conf/utils"
)

// SysorgServ 用户
type SysorgServ struct {
	ctx *utils.Context
	dao *sysorg.SysorgDAO
}

// NewSysorgServ 初始化
func NewSysorgServ(ctx *utils.Context) *SysorgServ {
	return &SysorgServ{
		ctx: ctx,
		dao: sysorg.NewSysorgDAO(ctx),
	}
}
func (s *SysorgServ) GetOrgList(page, pageSize int) (map[string]interface{}, error) {
	if pageSize == 0 {
		pageSize = service.PAGENUM
	}
	org, err := s.dao.GetOrgList(page, pageSize)
	if err != nil {
		utils.LogError("获取项目列表失败: " + err.Error())
		return nil, errors.New("获取项目列表失败")
	}
	total, err := s.dao.GetOrgListCount()
	if err != nil {
		utils.LogError("获取项目列表失败: " + err.Error())
		return nil, errors.New("获取项目列表失败")
	}
	return map[string]interface{}{
		"list":     org,
		"pageSize": pageSize,
		"pagenum":  total,
		"page":     page,
	}, nil
}
func (s *SysorgServ) AddOrg(org model.SysOrg) (*model.SysOrg, error) {
	newOrg, err := s.dao.AddOrg(org)
	if err != nil {
		utils.LogError("新增项目失败: " + err.Error())
		return nil, errors.New("新增项目失败")
	}
	return newOrg, nil
}
func (s *SysorgServ)AuthOrg()