package wechatimg

import (
	"errors"
	"time"
	"wechat-conf/models/model"
	"wechat-conf/models/wechatimg"
	"wechat-conf/utils"

	"github.com/astaxie/beego"
)

// WechatImgServ 用户
type WechatImgServ struct {
	ctx *utils.Context
	dao *wechatimg.WechatImgDAO
}

// NewWechatImgServ 初始化
func NewWechatImgServ(ctx *utils.Context) *WechatImgServ {
	return &WechatImgServ{
		ctx: ctx,
		dao: wechatimg.NewWechatImgDAO(ctx),
	}
}

func (s *WechatImgServ) AddWechatImg(img model.TaWechatImg) error {
	err := s.dao.AddWechatImg(img)
	if err != nil {
		utils.LogError("新增图片失败: " + err.Error())
		return errors.New("新增图片失败")
	}
	return nil
}

func (s *WechatImgServ) SyncWechatImg(data interface{}, orgId string) error {
	err := s.dao.DeleteBatchByOrgId(orgId)
	if err != nil {
		utils.LogError("同步图片失败: " + err.Error())
		return errors.New("同步图片失败")
	}
	type wechatimg struct {
		media_id    string
		name        string
		update_time time.Time
		url         string
	}
	img := data.([]wechatimg)
	for _, val := range img {
		beego.Error(val)
		var wechat model.TaWechatImg
		wechat.MediaId = val.media_id
		wechat.Name = val.name
		wechat.OrgId = orgId
		wechat.Url = val.url
		wechat.UpdateTime = val.update_time
		err := s.dao.AddWechatImg(wechat)
		if err != nil {
			utils.LogError("同步图片失败: " + err.Error())
			return errors.New("同步图片失败")
		}
	}
	return nil
}
